Subject: Re: [PATCH net-next 0/2] Rework tx fault fixups

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 5 Oct 2023 18:47:15 +0100

On Tue, Oct 03, 2023 at 02:33:25PM +0100, Russell King (Oracle) wrote:
> Hi,
> 
> This series reworks the tx-fault fixup and then improves the Nokia GPON
> workaround to also ignore the RX LOS signal as well. We do this by
> introducing a mask of hardware pin states that should be ignored,
> converting the tx-fault fixup to use that, and then augmenting it for
> RX LOS.
> 
>  drivers/net/phy/sfp.c | 33 ++++++++++++++++++++++++---------
>  1 file changed, 24 insertions(+), 9 deletions(-)

FYI, Christian has provided a tested-by:

Tested-by: Christian Marangi <[email-masked]>

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!